<?php
namespace Incoviba\old\Inmobiliaria;

use Incoviba\Common\Alias\OldModel as Model;

/**
 *
 * @property int id
 * @property int padre
 * @property int hijo
 *
 */
class RelacionInmobiliarias extends Model
{
	public function padre()
	{
		return $this->belongsTo(Inmobiliaria::class, 'padre', 'rut')->findOne();
	}
	public function hijo()
	{
		return $this->belongsTo(Inmobiliaria::class, 'hijo', 'rut')->findOne();
	}
}
?>
